#!/bin/ash
# visionner-avec-less5.sh (pour CD-qui-joue.sh)
# (c) musher0, 11 févr. 2016. # Rév.  4 févr. 2019,
# pour accompagner le script mpv-joue.sh
# (Au départ pour le script ps-a-forest.sh.)
####
# Pour less
[ `which joe` ] && export EDITOR=/root/my-applications/bin/joel.sh || export EDITOR=/usr/local/bin/defaulttexteditor
# Also known to work with less: geany, teagtk
# export LESSEDIT=%E %f # LESSEDIT fonctionne comme-ci comme-ça.
A="$1"

# Pour urxvt
TitrE="`basename $A`"

LarG="`wc -L < $A`"
LarG="`expr $LarG + 10`"
[ "$LarG" -gt "120" ] && LarG=120
HauT="`wc -l < $A`"
HauT="`expr $HauT + 4`"
[ "$HauT" -gt "40" ] && HauT=40

GeoM="g "${LarG}"x"${HauT}"+80+80"
COLR="fg NavajoWhite1 -bg DarkGreen -bd "#DBD37C" -cr gold -uc -pr snow -pr2 yellow +pb"
FNT="fn xft:Monaco:pixelsize=13:antialias=true:autohint=true "
TRNSP="tr -sh 50 -tint SaddleBrown"
IcN="icon /opt/local/bin/text-inv-vin.png"
FadE="fade 100 -fadecolor "#94A495""
DIVERS="sb +st +tcw -sbt 14 -bc -b 19"
CombinE="$GeoM -$COLR -$FNT -$TRNSP -$IcN -$FadE"

# Pour less
case "${LANG:0:2}" in
     fr) INFO="'q' -> quitter; 'g' -> haut; 'G' -> bas; 'd' -> descendre; 'u' -> monter" ;;
     en|*) INFO=" 'q' -> quit; 'g' -> top; 'G' -> bottom; 'd' -> down; 'u' -> up" ;;
esac
LessParms="R -C -~ -N -b 2 -J -w -s -x 3 -z 72 -S"

# Affichage
wmctrl -s 1
urxvt +$DIVERS -T $TitrE -$CombinE -e less -$LessParms -P "     $INFO  " -~ "$1"
